cURL
curl --request GET \
--url https://api.mudstack.com/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mudstack.com/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mudstack.com/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"auth0UserID": "<string>",
"username": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"avatar_file_id": "<string>",
"defaultAvatar": 123,
"industry": "<string>",
"occupation": "<string>",
"company": "<string>",
"emailVerified": true,
"isActive": true,
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zipCode": "<string>",
"invited_by_user": "<unknown>"
}User
Get user
Returns the details of the currently authenticated user.
GET
/
users
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
The user details.
User model
Unique identifier for the user
Auth0 user ID
Username of the user
Email address of the user
First name of the user
Last name of the user
File ID of the user's avatar
Default avatar identifier
Industry the user works in
Occupation of the user
Company the user works for
Whether the user's email is verified
Whether the user is active
City where the user resides
State where the user resides
Country where the user resides
Zip code of the user's location
User who invited this user
Show child attributes
Show child attributes
Was this page helpful?